RYSUNEK 2D NUMEROWANIE POSZCZEGOLNYCH CZESCI

Moderator: Maciej Śliwiński

Awatar użytkownika
darkone
Posty: 86
Rejestracja: 26 wrz 2008, 16:56
Lokalizacja: Gdańsk

Post autor: darkone » 05 lis 2009, 05:52

MICHCIU7 pisze:JEST ROZWIAZANIE, ZESPOL MUSI BYC PRZEKSZTALCONY W WELDMENT
MICHCIU7 pisze:MAMY TAM 4 MALE IKONKI, PRZY OSTATNIEJ JEST ROZWIJALNE MENU, Z KTOREGO WYBIERAMY DOWALNA POSZCZEGOLNA CZESC CZYLI NASZ PART. NASTEPNIE KLIKAMY OK.POZYCJA TRZYMA NUMERACJE Z PART LIST'Y
No fakt jest to pewnego rodzaju "sprytne" rozwiązanie, ale tylko dla nieruchomych zespołów. Co zrobisz jak zespół ma różne pozycje ? Jeżeli zespół ma reprezentację pozycyjną nie da się go przekształcić w konstrukcję spawaną :x np. w mechanizmach
pz
Darkone

MICHCIU7
Posty: 16
Rejestracja: 31 sie 2009, 12:29
Lokalizacja: GDAŃSK
Kontaktowanie:

Post autor: MICHCIU7 » 13 lis 2009, 12:48

MASZ RACJE, STARAM SIE PROJEKTOWAC TAK ABY JEDEN ZESPOL BYL STALY A DRUGI RUCHOMY, CZYLI ZAWIERAM W DWA ODDZIELNE ASSAMBLY.

MICHCIU7
Posty: 16
Rejestracja: 31 sie 2009, 12:29
Lokalizacja: GDAŃSK
Kontaktowanie:

Post autor: MICHCIU7 » 13 lis 2009, 12:48

MASZ RACJE, STARAM SIE PROJEKTOWAC TAK ABY JEDEN ZESPOL BYL STALY A DRUGI RUCHOMY, CZYLI ZAWIERAM W DWA ODDZIELNE ASSAMBLY.

Awatar użytkownika
darkone
Posty: 86
Rejestracja: 26 wrz 2008, 16:56
Lokalizacja: Gdańsk

Post autor: darkone » 13 lis 2009, 13:04

i Ci to działa?


wykonałem przed chwilą 2 próby.

1. Utworzyłem zespół konstrukcji (z1) spawanej, wstawiłem zespół (z2) z pozycjami i zespół spawany (z3). W z1 już nie mogłem stworzyć pozycji, ale mogłem wstawić rysunki tak jak napisałeś.

2. Utworzyłem zespół zwykły (z4), wstawiłem zespół (z2) z pozycjami i zespół spawany (z3). W z4 mogłem stworzyć pozycje, ale nie mogłem wstawić rysunku tak jak napisałeś.

Możesz napisać dokładniej jak to robisz ??
pz
Darkone

dydko
Posty: 5
Rejestracja: 03 mar 2010, 20:14

Re: RYSUNEK 2D NUMEROWANIE POSZCZEGOLNYCH CZESCI

Post autor: dydko » 03 mar 2010, 20:16


Awatar użytkownika
darkone
Posty: 86
Rejestracja: 26 wrz 2008, 16:56
Lokalizacja: Gdańsk

Re: RYSUNEK 2D NUMEROWANIE POSZCZEGOLNYCH CZESCI

Post autor: darkone » 05 mar 2010, 11:12

Dzięki Dytko. Chyba mi o to chodziło. Jak będę miał czas to to przetestuję i dam znać.
pz
Darkone

dydko
Posty: 5
Rejestracja: 03 mar 2010, 20:14

Re: RYSUNEK 2D NUMEROWANIE POSZCZEGOLNYCH CZESCI

Post autor: dydko » 09 mar 2010, 11:59

Na pewno to jest odpowiedź na Twoje pytanie. Tylko dlaczego te programy nie chcą działać z polską wersją Inventora ? Cieszę się, że pomogłem.

Awatar użytkownika
darkone
Posty: 86
Rejestracja: 26 wrz 2008, 16:56
Lokalizacja: Gdańsk

Re: RYSUNEK 2D NUMEROWANIE POSZCZEGOLNYCH CZESCI

Post autor: darkone » 10 mar 2010, 08:41

ale, mnie teraz zmartwiłeś. właśnie się zabieram za to. dam znać jak mi poszło... albo nie poszło
pz
Darkone

dydko
Posty: 5
Rejestracja: 03 mar 2010, 20:14

Re: RYSUNEK 2D NUMEROWANIE POSZCZEGOLNYCH CZESCI

Post autor: dydko » 14 mar 2010, 12:23

Możliwe, że trzeba coś doinstalować aby te wtyczki działały- nie wiem. Szczególnie ciekawa jest ta druga wtyczka Setup_BallRen12.zip w której jest możliwość wyłączenia z zasobnika numerowania na dużych zespołach. Mi również by zależało jakby ktoś się podzielił informacjami na ten temat. Pytałem pracowników z Autodesk ale są problemy z odpowiedzią na to pytanie o numerowanie. Ja pracuje na zespołach gdzie mam dużo elementów i takie numerowanie \ by mi ułatwiło życie. Znalazłem takie coś http://autodesk-inventor-pl.blogspot.co ... rowac.html

Awatar użytkownika
darkone
Posty: 86
Rejestracja: 26 wrz 2008, 16:56
Lokalizacja: Gdańsk

Re: RYSUNEK 2D NUMEROWANIE POSZCZEGOLNYCH CZESCI

Post autor: darkone » 15 mar 2010, 10:51

A próbowałeś tą wtyczkę "Setup Balloon Renumber 2010" ?

mi dopiero ta dorzuciła menu do dokumentacji 2d. ale jak ją uruchamiam to wyskakują błędy. Wysłałem maila do magików z easy tool ale na razie bez odzewu.

Jak uda mi się ruszyć z tematem to dam znać
pz
Darkone

dydko
Posty: 5
Rejestracja: 03 mar 2010, 20:14

Re: RYSUNEK 2D NUMEROWANIE POSZCZEGOLNYCH CZESCI

Post autor: dydko » 17 mar 2010, 17:08

Mamy pewnie te same błędy an polskiej wersji Inventora.

dydko
Posty: 5
Rejestracja: 03 mar 2010, 20:14

Re: RYSUNEK 2D NUMEROWANIE POSZCZEGOLNYCH CZESCI

Post autor: dydko » 04 wrz 2010, 16:55

Przerobiłem skrypt z netu i nareszcie numerowanie działa mi jak należy. Odinstalować/wyłączyć Balloon Renumber bo kaszani numery

Public Sub PrzenumerujBalony()

' To jest przerobiona wersja skryptu z http://www.mcadforums.com/forums/viewto ... =15&t=2895
' Skrypt działa w Inventor 2010 pewnie z innymi wersjami też.
' Odinstaluj/wyłącz wszelkie Balloon Renumber bo wyskaują błędy lub źle numeruje części, gryzą się
' Wada skryptu za każdym razem trzeba włączać skrypt aby przenumerować części po zmienach w "Zestawieniu komponentów"
' Moze kiedys usunę te wady.
' Należy zmienić "5" oRow.Item(5).Value na numer kolumny z pozycją licząć od lewej od "1"
' Jakieś pytania miroslaw.dyduch@gmail.com

Dim oDrawDoc As DrawingDocument
Dim oSheet As Sheet
Dim oPL As PartsList
Dim oRow As PartsListRow

Dim oBalloon As Balloon ' Zmienna balon
Dim bBalloonFound As Boolean ' Jest balon nie ma balona
Dim sPathPart As String ' Sciezka pojedynczej czesci/zespołu
Dim sPathPartsList As String ' Pelna sciezka "Listy części", całego złożenia

Set oDrawDoc = ThisApplication.ActiveDocument ' Aktywny dokument
Set oSheet = oDrawDoc.ActiveSheet ' Aktywny arkusz

If (oSheet.PartsLists.Count = 1) Then ' Jedna lista części w arkuszu, aby skrypt zmienil pozycje wg. wykazu
sPathPartsList = oSheet.PartsLists.Item(1).ReferencedDocumentDescriptor.FullDocumentName
For Each oBalloon In oSheet.Balloons
sPathPart = oBalloon.ParentView.ReferencedDocumentDescriptor.FullDocumentName
bBalloonFound = False
If (sPathPartsList <> sPathPart) Then
For Each oPL In oSheet.PartsLists
If bBalloonFound Then
Exit For
End If
For Each oRow In oPL.PartsListRows
If bBalloonFound Then
Exit For
End If
' Włączona opcja "Ustawienie łączenie wierszy z numerami części"
' Wiele roznych plikow w jednym wierszu np. "Generator ram",
' lewa-prawa część, lustro itp "Frame generator", left-right part, mirror etc
For i = 1 To oRow.ReferencedFiles.Count
If (sPathPart = oRow.ReferencedFiles.Item(i).FullFileName) Then
' Numer kolumny z pozycją części z "Listy części". Liczy sie od lewej od "1" do "n"
' Mozna pokombinować by było co innego w balonie np.:
' oBalloon.BalloonValueSets.Item(1).Value = "Tu był Mirek " & oRow.Item(2).Value & " poz. " & oRow.Item(5).Value
oBalloon.BalloonValueSets.Item(1).Value = oRow.Item(5).Value
bBalloonFound = True
Exit For
End If
Next
Next oRow
Next oPL
End If
Next oBalloon
MsgBox "Done!", vbInformation
Else ' Brak lub wiecej niz 1 lista czści
MsgBox ("W arkuszu MUSI byc jedna ''Lista części'', może być poza ''Ramką rysunkową''!!! " & Chr(13) & _
vbCrLf & "Program odczytuje z ''Listy części '' (''Pozycję'') części i nadpisuje " & _
vbCrLf & "wartość (domyślnie ''1'') w ''Numerze pozycji'' (balonie)." & Chr(13) & _
vbCrLf & "Po zmianach w ''Liście części'' musisz jeszcze raz uruchomić " & _
vbCrLf & "skrypt aby uaktualnić ''Numer pozycji''"), vbInformation
End If
End Sub

ODPOWIEDZ